Package: org.grails.build.interactive

## [Java] Class CandidateListCompletionHandler

- org.grails.build.interactive.CandidateListCompletionHandler

- All Implemented Interfaces and Traits:
    jline.console.completer.CompletionHandler

      public class CandidateListCompletionHandler
      extends java.lang.Object

  Fixes issues with the default CandidateListCompletionHandler such as clearing out the whole buffer when a completion matches a list of candidates

  Authors:
    Graeme Rocher
  Since:
    2.0

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `boolean` | `complete(jline.console.ConsoleReader reader, java.util.List<java.lang.CharSequence> candidates, int pos)`
    `` | `void` | `setAlwaysIncludeNewline(boolean eagerNewlines)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Method Detail

    - #### public boolean complete(jline.console.ConsoleReader reader, @java.lang.SuppressWarnings("rawtypes") java.util.List<java.lang.CharSequence> candidates, int pos)

    - #### public void setAlwaysIncludeNewline(boolean eagerNewlines)